> ## Documentation Index
> Fetch the complete documentation index at: https://docs.polychadsbot.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Alert by ID

> Retrieve a specific historical alert by its unique database ID.

Have an exact alert ID from a webhook payload or WebSocket stream? Drop it here to pull down the full JSON object including all enrichment details.

<ParamField path="id" type="integer" required>
  The unique ID of the alert.
</ParamField>

### Try it out

<RequestExample>
  ```bash cURL theme={null}
  curl -H "Authorization: Bearer YOUR_KEY_HERE" \
    https://polychadsbot.xyz/api/v1/alerts/2220
  ```
</RequestExample>

<ResponseExample>
  ```json 200 OK theme={null}
  {
    "id": 2220,
    "alert_type": "fresh_accumulator",
    "wallet_address": "0x9B3b4e3bD0e9c72FF8b1A3c...",
    "event_title": "US strikes Iran by March 31?",
    "side": "BUY",
    "outcome": "Yes",
    "entry_price": 0.19,
    "usdc_value": 1900.0,
    "signal_score": 80,
    "category": "world",
    "created_at": "2026-02-27 11:35:26",
    "details": {
      "wallet_age_days": 2,
      "is_accumulating": true,
      "market_buy_count": 3,
      "market_total_bought": 4500.0
    }
  }
  ```

  ```json 404 Not Found theme={null}
  {
    "detail": "Alert 99999 not found"
  }
  ```
</ResponseExample>


## OpenAPI

````yaml GET /alerts/{id}
openapi: 3.0.3
info:
  title: Polychads Alerts API
  version: '1.0'
  description: Real-time Polymarket insider trading alerts
servers:
  - url: https://polychadsbot.xyz/api/v1
security:
  - bearerAuth: []
paths:
  /alerts/{id}:
    get:
      summary: Get Alert by ID
      description: Fetch a single alert by its numeric ID.
      operationId: getAlertById
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: integer
          description: Alert ID
      responses:
        '200':
          description: Single alert
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Alert'
        '404':
          description: Alert not found
components:
  schemas:
    Alert:
      type: object
      properties:
        id:
          type: integer
        alert_type:
          type: string
          enum:
            - fresh
            - fresh_accumulator
            - cluster
        wallet_address:
          type: string
        event_title:
          type: string
        event_slug:
          type: string
        market_id:
          type: string
        side:
          type: string
          enum:
            - BUY
            - SELL
        outcome:
          type: string
        entry_price:
          type: number
        usdc_value:
          type: number
        signal_score:
          type: integer
        trade_count:
          type: integer
        category:
          type: string
        created_at:
          type: string
        resolved:
          type: boolean
        won:
          type: boolean
          nullable: true
        profit_usdc:
          type: number
          nullable: true
        details:
          type: object
          nullable: true
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: Your API key — get one from @chadsapibot on Telegram

````